<?php
$operatorMeta = array(
    'operators' => array(
        'op-310' => array(
            'id' => 'op-310',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Contacts',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Contacts',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-322' => array(
            'id' => 'op-322',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Accounts',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-323' => array(
            'id' => 'op-323',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'account_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-324' => array(
            'id' => 'op-324',
            'type' => 'RetrieveRelatedEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-325' => array(
            'id' => 'op-325',
            'type' => 'ForEachEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-326' => array(
            'id' => 'op-326',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'billing_contact_c',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'email1',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-327' => array(
            'id' => 'op-327',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'Concatenation',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-328' => array(
            'id' => 'op-328',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-329' => array(
            'id' => 'op-329',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-330' => array(
            'id' => 'op-330',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '1',
                                    ),
            ),
        ),
        'op-331' => array(
            'id' => 'op-331',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-332' => array(
            'id' => 'op-332',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'Concatenation',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-333' => array(
            'id' => 'op-333',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'Concatenation',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-334' => array(
            'id' => 'op-334',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand3' => array(
                    'id' => 'operand3',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-335' => array(
            'id' => 'op-335',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ';',
                                    ),
            ),
        ),
        'op-336' => array(
            'id' => 'op-336',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'billing_emails_c',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-337' => array(
            'id' => 'op-337',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-338' => array(
            'id' => 'op-338',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'Concatenation',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-700' => array(
            'from' => 'op-310controlFlow',
            'fromOperator' => 'op-310',
            'fromConnector' => 'controlFlow',
            'to' => 'op-322controlFlow',
            'toOperator' => 'op-322',
            'toConnector' => 'controlFlow'
        ),
        'link-701' => array(
            'from' => 'op-310entity',
            'fromOperator' => 'op-310',
            'fromConnector' => 'entity',
            'to' => 'op-323entity',
            'toOperator' => 'op-323',
            'toConnector' => 'entity'
        ),
        'link-702' => array(
            'from' => 'op-323fields0',
            'fromOperator' => 'op-323',
            'fromConnector' => 'fields0',
            'to' => 'op-322id',
            'toOperator' => 'op-322',
            'toConnector' => 'id'
        ),
        'link-703' => array(
            'from' => 'op-322controlFlow',
            'fromOperator' => 'op-322',
            'fromConnector' => 'controlFlow',
            'to' => 'op-324controlFlow',
            'toOperator' => 'op-324',
            'toConnector' => 'controlFlow'
        ),
        'link-704' => array(
            'from' => 'op-322entity',
            'fromOperator' => 'op-322',
            'fromConnector' => 'entity',
            'to' => 'op-324entity',
            'toOperator' => 'op-324',
            'toConnector' => 'entity'
        ),
        'link-706' => array(
            'from' => 'op-324entities',
            'fromOperator' => 'op-324',
            'fromConnector' => 'entities',
            'to' => 'op-325entities',
            'toOperator' => 'op-325',
            'toConnector' => 'entities'
        ),
        'link-707' => array(
            'from' => 'op-325entity',
            'fromOperator' => 'op-325',
            'fromConnector' => 'entity',
            'to' => 'op-326entity',
            'toOperator' => 'op-326',
            'toConnector' => 'entity'
        ),
        'link-708' => array(
            'from' => 'op-324controlFlow',
            'fromOperator' => 'op-324',
            'fromConnector' => 'controlFlow',
            'to' => 'op-327controlFlow',
            'toOperator' => 'op-327',
            'toConnector' => 'controlFlow'
        ),
        'link-709' => array(
            'from' => 'op-327controlFlow',
            'fromOperator' => 'op-327',
            'fromConnector' => 'controlFlow',
            'to' => 'op-325controlFlow',
            'toOperator' => 'op-325',
            'toConnector' => 'controlFlow'
        ),
        'link-710' => array(
            'from' => 'op-328result',
            'fromOperator' => 'op-328',
            'fromConnector' => 'result',
            'to' => 'op-327value',
            'toOperator' => 'op-327',
            'toConnector' => 'value'
        ),
        'link-713' => array(
            'from' => 'op-331result',
            'fromOperator' => 'op-331',
            'fromConnector' => 'result',
            'to' => 'op-329condition',
            'toOperator' => 'op-329',
            'toConnector' => 'condition'
        ),
        'link-714' => array(
            'from' => 'op-325controlFlowLoopBody',
            'fromOperator' => 'op-325',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-329controlFlow',
            'toOperator' => 'op-329',
            'toConnector' => 'controlFlow'
        ),
        'link-715' => array(
            'from' => 'op-329controlFlowIfTrue',
            'fromOperator' => 'op-329',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-332controlFlow',
            'toOperator' => 'op-332',
            'toConnector' => 'controlFlow'
        ),
        'link-717' => array(
            'from' => 'op-326fields1',
            'fromOperator' => 'op-326',
            'fromConnector' => 'fields1',
            'to' => 'op-334operand2',
            'toOperator' => 'op-334',
            'toConnector' => 'operand2'
        ),
        'link-718' => array(
            'from' => 'op-333value',
            'fromOperator' => 'op-333',
            'fromConnector' => 'value',
            'to' => 'op-334operand1',
            'toOperator' => 'op-334',
            'toConnector' => 'operand1'
        ),
        'link-719' => array(
            'from' => 'op-335result',
            'fromOperator' => 'op-335',
            'fromConnector' => 'result',
            'to' => 'op-334operand3',
            'toOperator' => 'op-334',
            'toConnector' => 'operand3'
        ),
        'link-720' => array(
            'from' => 'op-334result',
            'fromOperator' => 'op-334',
            'fromConnector' => 'result',
            'to' => 'op-332value',
            'toOperator' => 'op-332',
            'toConnector' => 'value'
        ),
        'link-721' => array(
            'from' => 'op-322entity',
            'fromOperator' => 'op-322',
            'fromConnector' => 'entity',
            'to' => 'op-336entity',
            'toOperator' => 'op-336',
            'toConnector' => 'entity'
        ),
        'link-722' => array(
            'from' => 'op-325controlFlowCompleted',
            'fromOperator' => 'op-325',
            'fromConnector' => 'controlFlowCompleted',
            'to' => 'op-336controlFlow',
            'toOperator' => 'op-336',
            'toConnector' => 'controlFlow'
        ),
        'link-723' => array(
            'from' => 'op-336controlFlow',
            'fromOperator' => 'op-336',
            'fromConnector' => 'controlFlow',
            'to' => 'op-337controlFlow',
            'toOperator' => 'op-337',
            'toConnector' => 'controlFlow'
        ),
        'link-724' => array(
            'from' => 'op-336entity',
            'fromOperator' => 'op-336',
            'fromConnector' => 'entity',
            'to' => 'op-337entity',
            'toOperator' => 'op-337',
            'toConnector' => 'entity'
        ),
        'link-725' => array(
            'from' => 'op-338value',
            'fromOperator' => 'op-338',
            'fromConnector' => 'value',
            'to' => 'op-336fields0',
            'toOperator' => 'op-336',
            'toConnector' => 'fields0'
        ),
        'link-726' => array(
            'from' => 'op-326fields0',
            'fromOperator' => 'op-326',
            'fromConnector' => 'fields0',
            'to' => 'op-331operand2',
            'toOperator' => 'op-331',
            'toConnector' => 'operand2'
        ),
        'link-727' => array(
            'from' => 'op-330result',
            'fromOperator' => 'op-330',
            'fromConnector' => 'result',
            'to' => 'op-331operand1',
            'toOperator' => 'op-331',
            'toConnector' => 'operand1'
        ),
    )
);
